Package org.apache.felix.http.base.internal.runtime.dto

## Class PreprocessorDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.PreprocessorDTOBuilder

    public final class PreprocessorDTOBuilder
    extends Object

### Constructor Summary

Constructors
`PreprocessorDTOBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static @NotNull org.osgi.service.http.runtime.dto.PreprocessorDTO` `build​(@NotNull PreprocessorInfo info, int reason)` Build a preprocessor DTO from a filter info

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreprocessorDTOBuilder

    public PreprocessorDTOBuilder()

### Method Detail

#### build

    @NotNull
    public static @NotNull org.osgi.service.http.runtime.dto.PreprocessorDTO build​(@NotNull
                                                                                   @NotNull PreprocessorInfo info,
                                                                                   int reason)

Build a preprocessor DTO from a filter info

Parameters:
  `info` - The preprocessor info
Returns:
  A preprocessor DTO